%global npm_name minipass
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 3.1.3
Release: %mkrel 3
Summary: minimal implementation of a PassThrough stream
License: ISC
Group: Development/Other
URL: https://github.com/isaacs/minipass#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 3.1.3-3.mga9
+ Revision: 1820539
- Mageia 9 Mass Rebuild

* Fri Jan 01 2021 neoclust <neoclust> 3.1.3-2.mga8
+ Revision: 1667541
- Remove forced deps, they are automatically done

* Thu Dec 31 2020 neoclust <neoclust> 3.1.3-1.mga8
+ Revision: 1667396
- New version 3.1.3

* Sun Jul 05 2020 joequant <joequant> 2.2.4-4.mga8
+ Revision: 1602241
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 2.2.4-3.mga8
+ Revision: 1503034
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.2.4-2.mga7
+ Revision: 1280738
- Mageia 7 Mass Rebuild

* Wed May 02 2018 kekepower <kekepower> 2.2.4-1.mga7
+ Revision: 1224931
- imported package nodejs-minipass

